<?php

/**
 * @file
 * API information
 *
 * @license GPL v2 http://www.fsf.org/licensing/licenses/gpl.html
 * @author Chris Skene chris at xtfer dot com
 * @copyright Copyright(c) 2015 Christopher Skene
 */

/**
 * Defines parsers for turning files into actionable code objects.
 *
 * @return array
 *   An array whose keys are parser names and whose corresponding values
 *   are arrays containing the following key-value pairs:
 *   - name: The human-readable name of the component, to be shown on the
 *     permission administration page. This should be wrapped in the t()
 *     function so it can be translated.
 *   - class: The FQN of the class which handles the parser.
 */
function config_config_parsers() {

  return array(
    CONFIG_PARSER_PHP => array(
      'name' => t('PHP'),
      'class' => '\Drupal\config\Parser\PhpParser',
    ),
    CONFIG_PARSER_YAML => array(
      'name' => t('YAML'),
      'class' => '\Drupal\config\Parser\YamlParser',
    ),
    CONFIG_PARSER_JSON => array(
      'name' => t('JSON'),
      'class' => '\Drupal\config\Parser\JsonParser',
    ),
  );
}

